#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bash
Version		:	5.2.15
Release		:	14.8.0.0%{?dist}
Summary		:	The GNU Bourne Again shell
Group		:	System Environment/Shells

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://www.gnu.org/software/bash/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Requires	:	glibc
Requires	:	filesystem
Requires	:	setup

Provides	:	/bin/sh
Provides	:	/bin/bash
#-----------------------------------------------------------------------------
%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NOTES
%{_bindir}/%{name}*
%{_bindir}/sh
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/builtins/*.h
%{_includedir}/%{name}/include/*.h
%{_libdir}/%{name}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_defaultdocdir}/%{name}-%{version}/*
%{_infodir}/%{name}.info.gz
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/%{name}*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#sed -i							\
#  -e '/^bashline.o:.*shmbchar.h/a bashline.o: ${DEFDIR}/builtext.h' \
#  Makefile.in

autoconf -i -f
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--bindir=%{_bindir}				\
	--libdir=%{_libdir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-bash-malloc				\
        --with-installed-readline			\

#	--enable-minimal-config				\
#	--enable-static-link				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__ln_s} ../bin/%{name} %{buildroot}%{_bindir}/sh

#creating /usr/bin/bash
#%{__mkdir_p} %{buildroot}/usr/bin
#%{__ln_s} ../../bin/%{name} %{buildroot}/usr/bin

%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
